unit ViewMontajeDetalle;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewMontaje, cxGraphics, DB, uDADataTable, dxLayoutControl,
  uCustomView, uViewBase, uViewDatosYSeleccionCliente, cxDropDownEdit,
  cxCalendar, cxDBEdit, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxControls,
  uViewDatosYSeleccionPresupuesto, uBizMontajes;

type
  IViewMontajeDetalle = interface(IViewMontaje)
  ['{03489EFD-EF83-440D-9494-3C047C89C7DD}']
    function GetViewPresupuestoMontaje: TfrViewDatosYSeleccionPresupuesto;
    procedure SetViewPresupuestoMontaje(const Value: TfrViewDatosYSeleccionPresupuesto);
    property ViewPresupuestoMontaje: TfrViewDatosYSeleccionPresupuesto read GetViewPresupuestoMontaje write SetViewPresupuestoMontaje;
  end;

  TfrViewMontajeDetalle = class(TfrViewMontaje, IViewMontajeDetalle)
    frViewPresupuestoMontaje: TfrViewDatosYSeleccionPresupuesto;
    dxLayoutControlMontajeGroup4: TdxLayoutGroup;
    dxLayoutControlMontajeItem2: TdxLayoutItem;
    procedure CustomViewCreate(Sender: TObject);
    procedure CustomViewDestroy(Sender: TObject);
  protected
    FViewPresupuestoMontaje : TfrViewDatosYSeleccionPresupuesto;
    function GetViewPresupuestoMontaje: TfrViewDatosYSeleccionPresupuesto;
    procedure SetViewPresupuestoMontaje(const Value: TfrViewDatosYSeleccionPresupuesto);
    procedure SetMontaje(const Value: IBizMontaje); override;
  public
    property ViewMontajePresupuesto: TfrViewDatosYSeleccionPresupuesto read GetViewPresupuestoMontaje write SetViewPresupuestoMontaje;
  end;

implementation
{$R *.dfm}

uses uBizMontajesDetalles;

procedure TfrViewMontajeDetalle.CustomViewCreate(Sender: TObject);
begin
  inherited;
  FViewPresupuestoMontaje := frViewPresupuestoMontaje;
end;

procedure TfrViewMontajeDetalle.CustomViewDestroy(Sender: TObject);
begin
  FViewPresupuestoMontaje := Nil;
  inherited;
end;

function TfrViewMontajeDetalle.GetViewPresupuestoMontaje: TfrViewDatosYSeleccionPresupuesto;
begin
  Result := FViewPresupuestoMontaje;
end;

procedure TfrViewMontajeDetalle.SetMontaje(const Value: IBizMontaje);
begin
  inherited;
  frViewPresupuestoMontaje.Presupuesto := (FMontaje as IBizMontajeDetalles).Presupuesto;
end;

procedure TfrViewMontajeDetalle.SetViewPresupuestoMontaje(const Value: TfrViewDatosYSeleccionPresupuesto);
begin
  FViewPresupuestoMontaje := Value;
end;

end.
